--- title: "Get Bandwidth Utilization" slug: "get-bandwidth-utilization-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-bandwidth-utilization-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Bandwidth Utilization This URL gets the details of bandwidth utilization. ### Resource URL GET /ntbamonitors/{ntbaId}/bandwidthutilization? TopN= ### Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `ntbaId` | NTBA monitor id | Number | Yes | | `TopN` | Number of top rows, default 50. | Number | No | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `bandwidthUtilizationList` | Bandwidth utilization list | Array | Details of bandwidthUtilizationList: | Field Name | Description | Data Type | | --- | --- | --- | | `exporter` | Exporter | String | | `exporterId` | Exported id | Number | | `interface` | Interface name | String | | `interfaceId` | Interface id | Number | | `linkSpeed` | Link speed | String | | `inbound` | Inbound traffic percentage | String | | `outbound` | Outbound traffic percentage | String | ### Example **Request** GET [https:///sdkapi/ntbamonitors/1006/bandwidthutilization](https://<NSM_IP>/sdkapi/ntbamonitors/1006/bandwidthutilization) **Response** ``` { “bandwidthUtilizationList”:[{ “exporter”:”RTB_7150_14_45”, “exporterId”:3, “interface”:”G3/1”, “interfaceId”:0, “linkSpeed”:”1G”, “inbound”:”0%”, “outbound”:”0%”}] } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than end time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id |